Ero sivun ”AMDn/ATIn binääriajureiden asentaminen” versioiden välillä

Linux.fista
Siirry navigaatioon Siirry hakuun
Rivi 142: Rivi 142:
Tämän jälkeen myös video-laitteistokiihdytys toimii, joten katso xvba-va.
Tämän jälkeen myös video-laitteistokiihdytys toimii, joten katso xvba-va.


==== xvba-va, fglrx laitteistokiihdytys videotoistoon ====
=== xvba-va, fglrx laitteistokiihdytys videotoistoon ===
Tämä on tehty videotoistoa varten, että näytönohjain auttaa videon pyörittämisessä ettei ole pelkästään prosessorin varassa. Tämä vaatii vähintään UVD2 tuen, ja tuki löytyy lähtien AMD HD 4000 näytönohjaimista. Tarkasta listasta oma näytönohjaimesi http://en.wikipedia.org/wiki/Unified_Video_Decoder#UVD_enabled_GPUs
Tämä on tehty videotoistoa varten, että näytönohjain auttaa videon pyörittämisessä ettei ole pelkästään prosessorin varassa. Tämä vaatii vähintään UVD2 tuen, ja tuki löytyy lähtien AMD HD 4000 näytönohjaimista. Tarkasta listasta oma näytönohjaimesi http://en.wikipedia.org/wiki/Unified_Video_Decoder#UVD_enabled_GPUs
  sudo apt-get install xvba-va-driver libva-glx1 libva-x11-1 vainfo
  sudo apt-get install xvba-va-driver libva-glx1 libva-x11-1 vainfo

Versio 31. maaliskuuta 2016 kello 19.07

Tämä artikkeli käsittelee AMD:n/ATI:n suljettujen näytönohjainajurien asentamista.

Arch Linux

ATI:n Catalyst-ajuripaketti on hiljattain poistettu Arch Linuxin pakettivarastoista johtuen ajurin kehityksen jälkeenjääneisyydestä ja sen kehittäjien yhteistyökyvyttömyydestä [1]. Catalystin voi halutessaan asentaa AURissa tarjottavasta epävirallisesta PKGBUILDista.

Catalystin asennuksen jälkeen on tehtävä Xorg.confiin oikeat asetukset. Jos sinulla on jo toimiva xorg.conf, tee siitä varmuuskopio. Jos xorg.confia ei ole, voit luoda sellaisen komennolla

Xorg --configure

Lisätietoja xorg.confin luomiseen löytyy Arch Linuxin wikistä. Kun sopiva xorg.conf on olemassa, ajetaan ATIn oma asetustyökalu komennolla

aticonfig --initial

Jos asetusten luonti onnistui, voit testata 3D-toimintojen toiminnan komennolla

glxinfo | grep direct

(edellyttää mesa-paketin asentamista).

Arch Linuxin wikissä on laaja ohje koskien ATIn näytönohjaimia.

Debian

Asenna ensin root-oikeuksin aptitudella päätteessä

su
Salasana: xxxx

Headers-paketti esim. 64-bittiseen (32-bittiseen eri komento)

aptitude install linux-headers-2.6.32-5-amd64

Seuraavaksi:

aptitude install xorg fglrx-driver fglrx-control fglrx-source mesa-utils module-assistant

Seuraavaksi kirjoitat päätteessä

modprobe -r radeon drm

Sitten siirryt

cd /usr/src 

kansioon ja kirjoitat

m-a prepare
m-a a-i fglrx

Seuraavaksi kirjoitat päätteeseen

aticonfig --initial 

Tämä luo automaattisesti oikeanlaisen xorg.conf tiedoston.

Kaiken teet roottina ja niin, että X-ympäristö ei ole käynnissä. Non-free pakettilähteet täytyy myös olla käytössä.

Voit tarkistaa ohjaimen toimivuuden uudelleenkäynnistyksen jälkeen komennolla (X-ympäristö pitää olla käynnissä):

glxinfo | grep direct

Tulos pitäisi näyttää tältä:

direct rendering: Yes
   GL_EXT_copy_buffer, GL_EXT_copy_texture, GL_EXT_direct_state_access,  

Tämä ohje on johdettu näiltä sivustoilta:

Debian wiki

Tecnowizah -Debian howto ATI drivers

Testattu Debian Squeeze 6.0:lla.



Fedora

Ota käyttöön RPM Fusion -pakettivarasto hakemalla sen asennuspaketit (free ja nonfree) osoitteesta http://rpmfusion.org/Configuration ja asentamalla ne. RPM Fusion sisältää näytönohjainajurien ohella muitakin paketteja, jotka eivät syystä tai toisesta voi olla mukana Fedoran virallisissa pakettivarastoissa.

AMD:n/ATI:n ajurit löytyvät RPM Fusionin paketista kmod-fglrx. Lisätietoja pakettien asentamisesta löytyy artikkelista Fedoran paketinhallinta.

Paketin asennuksen jälkeen on hyvä käynnistää kone uudelleen ja ajurien pitäisi toimia. RPM Fusion pyrkii toimimaan yhteistyössä Fedoran virallisten asennuslähteiden kanssa, joten yhteensopivuuden pitäisi olla hyvä.

Gentoo

Gentoon sivuilta löytyy myös ATIn korteille erittäin hyvä opas, mutta englannin kielellä.

http://www.gentoo.org/doc/en/ati-faq.xml

openSUSE

Ubuntu

Ubuntu 16.04 LTS

Uusi pitkän tuen versio ei enää ollenkaan käytä fglrx -ajureita ja päivittäessa edellisistä Ubuntun versiosta poistaa ne kokonaan. Tukee vain avoimen lähdekoodin versiota, koska AMD on panostanut niihin ja aikoo lopettaa Linux-binäärijureiden toimittamisen kokonaan lähitulevaisuudessa.

Videokiihdytys

Kaikki muut on jo valmiina, mutta videoiden GPU-kiihdytys pitää asentaa erikseen.

sudo apt-get install mesa-vpdau-drivers

AMD Crimson (Ubuntu 15.10 asti)

AMD aikoo lopettaa binääriajureiden toimittamisen ja keskittyy avoimen lähdekoodin ajureihin ilman erillistä asennusta. Jos työasemakäytössä, niin AMD suosittelee käyttämään vanhempaa versiota kuin Ubuntu 16.04, kunnes saavat avoimen lähdekoodin ajurit valmiiksi, mikä tapahtuu oletettavasti 2016 vuoden loppupuolella.

Ennen vuotta 2016 päti teksti: jos koneessasi on ATI/AMD -näytönohjain, kannattaa olla tarkkana sillä tuki on voinut loppua, joten tarkasta googlella ja AMD:n nettisivuilta ensin oman ohjaimesi tilanne. Jos vanhempi näytönohjain ja tuki on lopputunut, yleensä avoimen lähdekoodin ajurit asentuvat automaattisesti. Nämä ei yhtä hyviä kuin AMD:n binääriajurit.

Asennus suoraan binääristä (asennusohjelma)

Tarkasta ensin ajurien tuetut näytönohjaimet Supported products -välilehdeltä http://support.amd.com/en-us/download/desktop?os=Linux+x86http://support.amd.com/en-us/download/desktop?os=Linux+x86

Graafisesti

Graafisesti asennus tapahtuu kuin missä tahansa, eli lataa asennuspaketti AMD:n sivuilta, pura sisältö ja suorita asennusohjelma. Voi olla että joutuu antamaan suoritusoikeudet, joka tapahtuu hiiren oikealla napilla ja valikosta Ominaisuudet. Sitten Oikeudet -välilehdeltä salli tiedoston suoritus ohjelmana.

Konsolissa

Ladataan asennuspaketti osoitteesta http://support.amd.com/en-us/download/desktop?os=Linux+x86

Puretaan zip-paketin sisältö

unzip radeon-crimson-15.12-15.302-151217a-297685e.zip

Annetaan suoritusoikeudet

chmod +x amd-driver-installer-15.302-x86.x86_64.run

Suoritetaan asennusohjelma ja seurataan ohjeita. Tämä myöskin avaa asennusohjelman

sudo sh ./amd-driver-installer-15.302-x86.x86_64.run

Kun asennusohjelma meni onnistuneesti loppuun, tehdään vielä asetukset ja sen jälkeen käynnistetään uudelleen

sudo amdconfig --initial -f

Asennus DEB-paketeista

Lataa jakeluasi vastaavat paketit osoitteesta http://support.amd.com/en-us/download/linux ja kun olet ladannut, Lataukset -kansiossa

sudo dpkg -i fglrx*.deb

Tehdään asetukset

sudo amdconfig --initial -f

Asetuksienteon jälkeen käynnistä uudelleen.

Catalyst Legacy (HD 2000, HD 3000 ja HD 4000)

Näytönohjaimien tuki on pudotettu joten joutuu käyttämään Legacy -ajuria. Jos käytössäsi on Ubuntu 10.04 - 12.04 LTS, voit asentaa suoraan asennuspaketista. Katso ohjeet aiemmista otsikoista.

http://support.amd.com/en-us/download/desktop/legacy?product=Legacy2&os=Linux%20x86

Ubuntu 12.04.2, 12.10, 13.04

Näissä Ubuntuissa xorg-versio liian uusi 1.13, ettei legacy-ohjaimien amd-ajurit enää tue, joten xorg pitää vaihtaa vanhempaan 1.12 versioon. Tämä onnistuu helpoiten epävirallisesta pakettilähteestä, joka tekee kaikki asetukset ja pakettimuutokset.

Skull and crossbones.svg
Kolmannen osapuolen pakettivarastoissa on riskinsä! Asennettavat paketit ja niiden skriptit voivat tehdä järjestelmässä mitä tahansa.

Asennetaan uusi pakettivarasto

sudo add-apt-repository ppa:makson96/fglrx

Päivitetään pakettilistaus ja päivitetään ohjelmat, tämä myös vanhentaa xorg-version jos liian uusi

sudo apt-get update && sudo apt-get upgrade

Asennetaan AMD:n ajurit

sudo apt-get install fglrx-legacy

Tämän jälkeen myös video-laitteistokiihdytys toimii, joten katso xvba-va.

xvba-va, fglrx laitteistokiihdytys videotoistoon

Tämä on tehty videotoistoa varten, että näytönohjain auttaa videon pyörittämisessä ettei ole pelkästään prosessorin varassa. Tämä vaatii vähintään UVD2 tuen, ja tuki löytyy lähtien AMD HD 4000 näytönohjaimista. Tarkasta listasta oma näytönohjaimesi http://en.wikipedia.org/wiki/Unified_Video_Decoder#UVD_enabled_GPUs

sudo apt-get install xvba-va-driver libva-glx1 libva-x11-1 vainfo
vainfo

vainfo pitäisi näyttää seuraavanlaisen tulosteen

     libva: libva version 0.32.0
     Xlib:  extension "XFree86-DRI" missing on display ":0.0".
     libva: va_getDriverName() returns 0
     libva: Trying to open /usr/lib/dri/fglrx_drv_video.so
     libva: va_openDriver() returns 0
     vainfo: VA API version: 0.32
     vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA-API - 0.7.8
     vainfo: Supported profile and entrypoints
     VAProfileH264High               :	VAEntrypointVLD
     VAProfileVC1Advanced            :	VAEntrypointVLD

Catalyst -ajurin poistaminen

Avoimen koodin ajureihin voi palata takaisin seuraavilla komennoilla

sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev*

poista xorg.conf eli vanhat asetukset

sudo rm /etc/X11/xorg.conf

Sitten asennetaan xorg uudelleen ja luodaan uusi xorg.conf

32-bit

sudo apt-get install --reinstall xserver-xorg-core libgl1-mesa-glx libgl1-mesa-dri

tai 64-bit järjestelmä

sudo apt-get install --reinstall libgl1-mesa-glx:i386 libgl1-mesa-glx:amd64 libgl1-mesa-dri:i386 libgl1-mesa-dri:amd64 xserver-xorg-core

Sitteen tehdään uudet xorg-asetukset ja tämän jälkeen käynnistä tietokone uudelleen

sudo dpkg-reconfigure xserver-xorg

Aiheesta muullla

uusimmat AMD Catalyst ajurit (2013)

Katso myös